For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/affiliate/search‑limited

get

Search affiliates

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
countintegerOptionalDefault: 50
loginid_comparestringOptionalDefault: =
loginidintegerOptional
orderbyanyOptional
startintegerOptional
typeintegerOptional
username_comparestringOptionalDefault: like
usernamestringOptional
Responses
200

success

successbooleanOptionalExample: true
get/api/affiliate/search-limited
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'loginid' => '3',
		'username' => 'affiliateTest',
		'start' => 0,
		'count' => 100,
		'type' => 0
	);

$request = array(
	'method' => 'GET',
	'path' => 'affiliate/search-limited',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "affiliates": [
    {
      "loginid": "3",
      "username": "affiliateTest"
    }
  ],
  "total_count": "1",
  "total": "1",
  "params": {
    "count": 100,
    "loginid_compare": "=",
    "loginid": "3",
    "orderby": null,
    "start": 0,
    "type": 0,
    "username_compare": "like",
    "username": "affiliateTest"
  }
}

Last updated

Was this helpful?